<?php
	# Mantis - a php based bugtracking system
	# Copyright (C) 2000 - 2002  Kenzaburo Ito - kenito@300baud.org
	# Copyright (C) 2002 - 2004  Mantis Team   - mantisbt-dev@lists.sourceforge.net
	# This program is distributed under the terms and conditions of the GPL
	# See the README and LICENSE files for details

	# --------------------------------------------------------
	# $Id: import_issues_page.php  2005/11/04 10:25  gtomlin
	# --------------------------------------------------------
?>
<?php
	# Mantis - a php based bugtracking system
	# Copyright (C) 2000 - 2002  Kenzaburo Ito - kenito@300baud.org
	# Copyright (C) 2002 - 2004  Mantis Team   - mantisbt-dev@lists.sourceforge.net
	# This program is distributed under the terms and conditions of the GPL
	# See the README and LICENSE files for details
?>
<?php
	require_once( 'core.php' );

	auth_ensure_user_authenticated();

	# Pick up existing values for form fields if any, or set defaults.
	$f_import_file				= gpc_get_string( 'import_file', '' );
	$f_fieldlim					= gpc_get_string( 'fieldlim', ";" );
	$f_linelim					= gpc_get_string( 'linelim', "\\r\\n" );
	$f_client					= gpc_get_bool( 'client', false );

	$f_reporterx				= gpc_get_int( 'reporter', IMPORT_FROM_FILE );
	$f_reporter					= gpc_get_int( 'const_reporter', auth_get_current_user_id() );
	$f_handlerx					= gpc_get_int( 'handler', IMPORT_USE_DEFAULT );
	$f_handler					= gpc_get_int( 'const_handler', auth_get_current_user_id() );
	$f_priorityx				= gpc_get_int( 'priority', IMPORT_USE_DEFAULT );
	$f_priority					= gpc_get_int( 'const_priority', config_get( 'default_bug_priority' ) );
	$f_severityx				= gpc_get_int( 'severity', IMPORT_USE_DEFAULT );
	$f_severity					= gpc_get_int( 'const_severity', config_get( 'default_bug_severity' ) );
	$f_reproducibilityx			= gpc_get_int( 'reproducibility', IMPORT_USE_DEFAULT );
	$f_reproducibility			= gpc_get_int( 'const_reproducibility', 0 );
	$f_statusx					= gpc_get_int( 'status', IMPORT_USE_DEFAULT );
	$f_status					= gpc_get_int( 'const_status', config_get( 'bug_submit_status' ) );
	$f_resolutionx				= gpc_get_int( 'resolution', IMPORT_USE_DEFAULT );
	$f_resolution				= gpc_get_int( 'const_resolution', OPEN );
	$f_categoryx				= gpc_get_int( 'category', IMPORT_USE_DEFAULT );
	$f_category					= gpc_get_string( 'const_category', '' );
	$f_date_submittedx			= gpc_get_int( 'date_submitted', IMPORT_USE_DEFAULT );
	$f_date_submitted			= gpc_get_string( 'const_date_submitted', '' );
	$f_osx						= gpc_get_int( 'os', IMPORT_USE_DEFAULT );
	$f_os						= gpc_get_string( 'const_os', '' );
	$f_os_buildx				= gpc_get_int( 'os_build', IMPORT_USE_DEFAULT );
	$f_os_build					= gpc_get_string( 'const_os_build', '' );
	$f_platformx				= gpc_get_int( 'platform', IMPORT_USE_DEFAULT );
	$f_platform					= gpc_get_string( 'const_platform', '' );
	$f_versionx					= gpc_get_int( 'version', IMPORT_USE_DEFAULT );
	$f_version					= gpc_get_string( 'const_version', '' );
	$f_fixed_in_versionx		= gpc_get_int( 'fixed_in_version', IMPORT_USE_DEFAULT );
	$f_fixed_in_version			= gpc_get_string( 'const_fixed_in_version', '' );
	$f_buildx					= gpc_get_int( 'build', IMPORT_USE_DEFAULT );
	$f_build					= gpc_get_string( 'const_build', '' );
	$f_view_statex				= gpc_get_int( 'view_state', IMPORT_USE_DEFAULT );
	$f_view_state				= gpc_get_int( 'const_view_state', config_get( 'default_bug_view_status' ) );
	$f_summaryx					= gpc_get_int( 'summary', IMPORT_FROM_FILE );
	// $f_summary					= gpc_get_string( 'const_summary', '' );
	$f_descriptionx				= gpc_get_int( 'description', IMPORT_FROM_FILE );
	$f_description				= gpc_get_string( 'const_description', '' );
	$f_steps_to_reproducex		= gpc_get_int( 'steps_to_reproduce', IMPORT_USE_DEFAULT );
	$f_steps_to_reproduce		= gpc_get_string( 'const_steps_to_reproduce', '' );
	$f_additional_informationx	= gpc_get_int( 'additional_information', IMPORT_USE_DEFAULT );
	$f_additional_information	= gpc_get_string( 'const_additional_information', '' );
?>

<?php
	html_page_top1();
	html_page_top2();
	print_manage_menu( 'import_issues_page.php' );

	# Import Form BEGIN
	# The following fields are omitted because their values are forced by
	# bug_create in core/bug_api.php:
	# 	duplicate_id, last_updated, projection, eta.
	# The following fields are omitted because they are unlikely to be relevant
	# on an import:
	# 	sponsorship_total, profile_id.
?>

<p>
<div align="center">
<form method="post" action="import_issues.php" enctype="multipart/form-data">
<input type="hidden" name="f_poster_id" value="<?php echo current_user_get_field( "id" ) ?>">
<table class="width100" cellspacing="1">

<!-- Headings/instructions. -->
<tr>
	<td class="form-title" colspan="4">
		<?php echo lang_get( 'import_bugs' ) ?>
	</td>
</tr>
<tr>
	<td colspan="4">
		<?php echo lang_get( 'import_instructions_1' ) ?>
	</td>
</tr>
<tr>
	<td colspan="4">
		<?php echo lang_get( 'import_instructions_2' ) ?>
	</td>
</tr>
<tr>
	<td colspan="4">
		<?php echo lang_get( 'import_instructions_3' ) ?>
	</td>
</tr>
<tr>
	<td colspan="4">
		<?php echo lang_get( 'import_instructions_4' ) ?>
	</td>
</tr>

<!-- Input file for import. -->
<tr class="row-1">
	<td class="category">
		<?php echo lang_get( 'select_file' ) ?>
	</td>
	<td colspan="3">
		<input name="import_file" type="file" size="70" value="<?php echo $f_import_file ?>" />
	</td>
</tr>

<!-- Field delimiter. -->
<tr <?php echo helper_alternate_class() ?>>
	<td class="category">
		<?php echo lang_get( 'fieldlim' ) ?>
	</td>
	<td colspan="3">
		<input type="text" name="fieldlim" size="1" maxlength="1" value="<?php echo $f_fieldlim ?>" />
	</td>
</tr>

<!-- Line delimiter. -->
<tr <?php echo helper_alternate_class() ?>>
	<td class="category">
		<?php echo lang_get( 'linelim' ) ?>
	</td>
	<td colspan="3">
		<input type="text" name="linelim" size="6" maxlength="10" value="<?php echo $f_linelim ?>" />
	</td>
</tr>

<!-- Client or server based:
     checked results in LOAD DATA INFILE
	 unchecked results in LOAD DATA LOCAL INFILE -->
<tr <?php echo helper_alternate_class() ?>>
	<td class="category">
		<?php echo lang_get( 'client' ) ?>
	</td>
	<td colspan="3">
		<input type="checkbox" name="client" <?php check_checked( $f_client ) ?> /> ( <?php echo lang_get( 'client_txt' ) ?> )
	</td>
</tr>

<!-- spacer. -->
<tr>
	<td class="spacer" colspan="4">&nbsp;</td>
</tr>

<!-- Column_list. -->
<tr <?php echo helper_alternate_class() ?>>
	<td class="category">
		<?php echo lang_get( 'columns' ) ?>
	</td>
	<td colspan="3" />
</tr>

<!-- Project skipped
	- user must switch to intended project before beginning to specify import parameters.
-->

<!-- Reporter field. -->
<tr <?php echo helper_alternate_class() ?>>
	<td class="category">
		<?php echo lang_get( 'reporter' ) ?>
	</td>
	<td>
		<input type="radio" name="reporter" value="<?php echo IMPORT_FROM_FILE ?>" <?php check_checked( $f_reporterx, IMPORT_FROM_FILE ) ?> /> <?php echo lang_get( 'columns_import' ) ?>
	</td>
	<td>
		<input type="radio" name="reporter" value="<?php echo IMPORT_USE_DEFAULT ?>" <?php check_checked( $f_reporterx, IMPORT_USE_DEFAULT ) ?> /> <?php echo lang_get( 'columns_default_all' ) ?>
	</td>
	<td>
		<input type="radio" name="reporter" value="<?php echo IMPORT_USE_CONST_VALUE ?>" <?php check_checked( $f_reporterx, IMPORT_USE_CONST_VALUE ) ?> /> <?php echo lang_get( 'columns_set_all' ) ?>
		<select name="const_reporter">
			<?php print_reporter_option_list( $f_reporter ) ?>
		</select>
	</td>
</tr>

<!-- Handler field. -->
<tr <?php echo helper_alternate_class() ?>>
	<td class="category">
		<?php echo lang_get( 'assigned_to' ) ?>
	</td>
	<td>
		<input type="radio" name="handler" value="<?php echo IMPORT_FROM_FILE ?>" <?php check_checked( $f_handlerx, IMPORT_FROM_FILE ) ?> /> <?php echo lang_get( 'columns_import' ) ?>
	</td>
	<td>
		<input type="radio" name="handler" value="<?php echo IMPORT_USE_DEFAULT ?>" <?php check_checked( $f_handlerx, IMPORT_USE_DEFAULT ) ?> /> <?php echo lang_get( 'columns_default_all' ) ?>
	</td>
	<td>
		<input type="radio" name="handler" value="<?php echo IMPORT_USE_CONST_VALUE ?>" <?php check_checked( $f_handlerx, IMPORT_USE_CONST_VALUE ) ?> /> <?php echo lang_get( 'columns_set_all' ) ?>
		<select name="const_handler">
			<?php print_assign_to_option_list( $f_handler ) ?>
		</select>
	</td>
</tr>

<!-- Duplicate ID skipped:
	- value is ID of another issue, which could be in import stream so we will not know its ID.
	- bug_create in core/bug_api.php sets it to 0 anyway.
-->

<!-- Priority field. -->
<tr <?php echo helper_alternate_class() ?>>
	<td class="category">
		<?php echo lang_get( 'priority' ) ?>
	</td>
	<td>
		<input type="radio" name="priority" value="<?php echo IMPORT_FROM_FILE ?>" <?php check_checked( $f_priorityx, IMPORT_FROM_FILE ) ?> /> <?php echo lang_get( 'columns_import' ) ?>
	</td>
	<td>
		<input type="radio" name="priority" value="<?php echo IMPORT_USE_DEFAULT ?>" <?php check_checked( $f_priorityx, IMPORT_USE_DEFAULT ) ?> /> <?php echo lang_get( 'columns_default_all' ) ?>
	</td>
	<td>
		<input type="radio" name="priority" value="<?php echo IMPORT_USE_CONST_VALUE ?>" <?php check_checked( $f_priorityx, IMPORT_USE_CONST_VALUE ) ?> /> <?php echo lang_get( 'columns_set_all' ) ?>
		<select name="const_priority">
			<?php print_enum_string_option_list( 'priority', $f_priority ) ?>
		</select>
	</td>
</tr>

<!-- Severity. -->
<tr <?php echo helper_alternate_class() ?>>
	<td class="category">
		<?php echo lang_get( 'severity' ) ?>
	</td>
	<td>
		<input type="radio" name="severity" value="<?php echo IMPORT_FROM_FILE ?>" <?php check_checked( $f_severityx, IMPORT_FROM_FILE ) ?> /> <?php echo lang_get( 'columns_import' ) ?>
	</td>
	<td>
		<input type="radio" name="severity" value="<?php echo IMPORT_USE_DEFAULT ?>" <?php check_checked( $f_severityx, IMPORT_USE_DEFAULT ) ?> /> <?php echo lang_get( 'columns_default_all' ) ?>
	</td>
	<td>
		<input type="radio" name="severity" value="<?php echo IMPORT_USE_CONST_VALUE ?>" <?php check_checked( $f_severityx, IMPORT_USE_CONST_VALUE ) ?> /> <?php echo lang_get( 'columns_set_all' ) ?>
		<select name="const_severity">
			<?php print_enum_string_option_list( 'severity', $f_severity ) ?>
		</select>
	</td>
</tr>

<!-- Reproducibility. -->
<tr <?php echo helper_alternate_class() ?>>
	<td class="category">
		<?php echo lang_get( 'reproducibility' ) ?>
	</td>
	<td>
		<input type="radio" name="reproducibility" value="<?php echo IMPORT_FROM_FILE ?>" <?php check_checked( $f_reproducibilityx, IMPORT_FROM_FILE ) ?> /> <?php echo lang_get( 'columns_import' ) ?>
	</td>
	<td>
		<input type="radio" name="reproducibility" value="<?php echo IMPORT_USE_DEFAULT ?>" <?php check_checked( $f_reproducibilityx, IMPORT_USE_DEFAULT ) ?> /> <?php echo lang_get( 'columns_default_all' ) ?>
	</td>
	<td>
		<input type="radio" name="reproducibility" value="<?php echo IMPORT_USE_CONST_VALUE ?>" <?php check_checked( $f_reproducibilityx, IMPORT_USE_CONST_VALUE ) ?> /> <?php echo lang_get( 'columns_set_all' ) ?>
		<select name="const_reproducibility">
			<?php print_enum_string_option_list( 'reproducibility', $f_reproducibility ) ?>
		</select>
	</td>
</tr>

<!-- Status -->
<tr <?php echo helper_alternate_class() ?>>
	<td class="category">
		<?php echo lang_get( 'status' ) ?>
	</td>
	<td>
		<input type="radio" name="status" value="<?php echo IMPORT_FROM_FILE ?>" <?php check_checked( $f_statusx, IMPORT_FROM_FILE ) ?> /> <?php echo lang_get( 'columns_import' ) ?>
	</td>
	<td>
		<input type="radio" name="status" value="<?php echo IMPORT_USE_DEFAULT ?>" <?php check_checked( $f_statusx, IMPORT_USE_DEFAULT ) ?> /> <?php echo lang_get( 'columns_default_all' ) ?>
	</td>
	<td>
		<input type="radio" name="status" value="<?php echo IMPORT_USE_CONST_VALUE ?>" <?php check_checked( $f_statusx, IMPORT_USE_CONST_VALUE ) ?> /> <?php echo lang_get( 'columns_set_all' ) ?>
		<select name="const_status">
			<?php print_enum_string_option_list( 'status', $f_status ) ?>
		</select>
	</td>
</tr>

<!-- Resolution -->
<tr <?php echo helper_alternate_class() ?>>
	<td class="category">
		<?php echo lang_get( 'resolution' ) ?>
	</td>
	<td>
		<input type="radio" name="resolution" value="<?php echo IMPORT_FROM_FILE ?>" <?php check_checked( $f_resolutionx, IMPORT_FROM_FILE ) ?> /> <?php echo lang_get( 'columns_import' ) ?>
	</td>
	<td>
		<input type="radio" name="resolution" value="<?php echo IMPORT_USE_DEFAULT ?>" <?php check_checked( $f_resolutionx, IMPORT_USE_DEFAULT ) ?> /> <?php echo lang_get( 'columns_default_all' ) ?>
	</td>
	<td>
		<input type="radio" name="resolution" value="<?php echo IMPORT_USE_CONST_VALUE ?>" <?php check_checked( $f_resolutionx, IMPORT_USE_CONST_VALUE ) ?> /> <?php echo lang_get( 'columns_set_all' ) ?>
		<select name="const_resolution">
			<?php print_enum_string_option_list( 'resolution', $f_resolution ) ?>
		</select>
	</td>
</tr>

<!-- Projection  skipped:
	- value set to 10 by bug_create in core/bug_api.php.
-->

<!-- Category. -->
<tr <?php echo helper_alternate_class() ?>>
	<td class="category" width="30%">
		<?php echo lang_get( 'category' ) ?>
	</td>
	<td>
		<input type="radio" name="category" value="<?php echo IMPORT_FROM_FILE ?>" <?php check_checked( $f_categoryx, IMPORT_FROM_FILE ) ?> /> <?php echo lang_get( 'columns_import' ) ?>
	</td>
	<td>
		<input type="radio" name="category" value="<?php echo IMPORT_USE_DEFAULT ?>" <?php check_checked( $f_categoryx, IMPORT_USE_DEFAULT ) ?> /> <?php echo lang_get( 'columns_default_all' ) ?>
	</td>
	<td>
		<input type="radio" name="category" value="<?php echo IMPORT_USE_CONST_VALUE ?>" <?php check_checked( $f_categoryx, IMPORT_USE_CONST_VALUE ) ?> /> <?php echo lang_get( 'columns_set_all' ) ?>
		<select name="const_category">
			<?php print_category_complete_option_list( $f_category ) ?>
		</select>
	</td>
</tr>

<!-- Date submitted -->
<tr <?php echo helper_alternate_class() ?>>
	<td class="category" width="30%">
		<?php echo lang_get( 'date_submitted' ) ?>
	</td>
	<td>
		<input type="radio" name="date_submitted" value="<?php echo IMPORT_FROM_FILE ?>" <?php check_checked( $f_date_submittedx, IMPORT_FROM_FILE ) ?> /> <?php echo lang_get( 'columns_import' ) ?>
	</td>
	<td>
		<input type="radio" name="date_submitted" value="<?php echo IMPORT_USE_DEFAULT ?>" <?php check_checked( $f_date_submittedx, IMPORT_USE_DEFAULT ) ?> /> <?php echo lang_get( 'columns_default_all' ) ?>
	</td>
	<td>
		<input type="radio" name="date_submitted" value="<?php echo IMPORT_USE_CONST_VALUE ?>" <?php check_checked( $f_date_submittedx, IMPORT_USE_CONST_VALUE ) ?> /> <?php echo lang_get( 'columns_set_all' ) ?>
		<input type="text" name="const_date_submitted" size="19" maxlength="19" value="<?php echo $f_date_submitted ?>" />
	</td>
</tr>

<!-- Date last updated skipped
	- value set to now by bug_create.
-->

<!-- eta skipped
	- value set to 10 by bug_create in core/bug_api.php.
-->

<!-- OS field. -->
<tr <?php echo helper_alternate_class() ?>>
	<td class="category">
		<?php echo lang_get( 'os' ) ?>
	</td>
	<td>
		<input type="radio" name="os" value="<?php echo IMPORT_FROM_FILE ?>" <?php check_checked( $f_osx, IMPORT_FROM_FILE ) ?> /> <?php echo lang_get( 'columns_import' ) ?>
	</td>
	<td>
		<input type="radio" name="os" value="<?php echo IMPORT_USE_DEFAULT ?>" <?php check_checked( $f_osx, IMPORT_USE_DEFAULT ) ?> /> <?php echo lang_get( 'columns_default_all' ) ?>
	</td>
	<td>
		<input type="radio" name="os" value="<?php echo IMPORT_USE_CONST_VALUE ?>" <?php check_checked( $f_osx, IMPORT_USE_CONST_VALUE ) ?> /> <?php echo lang_get( 'columns_set_all' ) ?>
		<input type="text" name="const_os" size="50" maxlength="255" value="<?php echo $f_os ?>" />
	</td>
</tr>

<!-- OS_build field. -->
<tr <?php echo helper_alternate_class() ?>>
	<td class="category">
		<?php echo lang_get( 'os_version' ) ?>
	</td>
	<td>
		<input type="radio" name="os_build" value="<?php echo IMPORT_FROM_FILE ?>" <?php check_checked( $f_os_buildx, IMPORT_FROM_FILE ) ?> /> <?php echo lang_get( 'columns_import' ) ?>
	</td>
	<td>
		<input type="radio" name="os_build" value="<?php echo IMPORT_USE_DEFAULT ?>" <?php check_checked( $f_os_buildx, IMPORT_USE_DEFAULT ) ?> /> <?php echo lang_get( 'columns_default_all' ) ?>
	</td>
	<td>
		<input type="radio" name="os_build" value="<?php echo IMPORT_USE_CONST_VALUE ?>" <?php check_checked( $f_os_buildx, IMPORT_USE_CONST_VALUE ) ?> /> <?php echo lang_get( 'columns_set_all' ) ?>
		<input type="text" name="const_os_build" size="50" maxlength="255" value="<?php echo $f_os_build ?>" />
	</td>
</tr>

<!-- platform field. -->
<tr <?php echo helper_alternate_class() ?>>
	<td class="category">
		<?php echo lang_get( 'platform' ) ?>
	</td>
	<td>
		<input type="radio" name="platform" value="<?php echo IMPORT_FROM_FILE ?>" <?php check_checked( $f_platformx, IMPORT_FROM_FILE ) ?> /> <?php echo lang_get( 'columns_import' ) ?>
	</td>
	<td>
		<input type="radio" name="platform" value="<?php echo IMPORT_USE_DEFAULT ?>" <?php check_checked( $f_platformx, IMPORT_USE_DEFAULT ) ?> /> <?php echo lang_get( 'columns_default_all' ) ?>
	</td>
	<td>
		<input type="radio" name="platform" value="<?php echo IMPORT_USE_CONST_VALUE ?>" <?php check_checked( $f_platformx, IMPORT_USE_CONST_VALUE ) ?> /> <?php echo lang_get( 'columns_set_all' ) ?>
		<input type="text" name="const_platform" size="50" maxlength="255" value="<?php echo $f_platform ?>" />
	</td>
</tr>

<!-- version field. -->
<tr <?php echo helper_alternate_class() ?>>
	<td class="category">
		<?php echo lang_get( 'version' ) ?>
	</td>
	<td>
		<input type="radio" name="version" value="<?php echo IMPORT_FROM_FILE ?>" <?php check_checked( $f_versionx, IMPORT_FROM_FILE ) ?> /> <?php echo lang_get( 'columns_import' ) ?>
	</td>
	<td>
		<input type="radio" name="version" value="<?php echo IMPORT_USE_DEFAULT ?>" <?php check_checked( $f_versionx, IMPORT_USE_DEFAULT ) ?> /> <?php echo lang_get( 'columns_default_all' ) ?>
	</td>
	<td>
		<input type="radio" name="version" value="<?php echo IMPORT_USE_CONST_VALUE ?>" <?php check_checked( $f_versionx, IMPORT_USE_CONST_VALUE ) ?> /> <?php echo lang_get( 'columns_set_all' ) ?>
		<input type="text" name="const_version" size="50" maxlength="255" value="<?php echo $f_version ?>" />
	</td>
</tr>

<!-- fixed_in_version field. -->
<tr <?php echo helper_alternate_class() ?>>
	<td class="category">
		<?php echo lang_get( 'fixed_in_version' ) ?>
	</td>
	<td>
		<input type="radio" name="fixed_in_version" value="<?php echo IMPORT_FROM_FILE ?>" <?php check_checked( $f_fixed_in_versionx, IMPORT_FROM_FILE ) ?> /> <?php echo lang_get( 'columns_import' ) ?>
	</td>
	<td>
		<input type="radio" name="fixed_in_version" value="<?php echo IMPORT_USE_DEFAULT ?>" <?php check_checked( $f_fixed_in_versionx, IMPORT_USE_DEFAULT ) ?> /> <?php echo lang_get( 'columns_default_all' ) ?>
	</td>
	<td>
		<input type="radio" name="fixed_in_version" value="<?php echo IMPORT_USE_CONST_VALUE ?>" <?php check_checked( $f_fixed_in_versionx, IMPORT_USE_CONST_VALUE ) ?> /> <?php echo lang_get( 'columns_set_all' ) ?>
		<input type="text" name="const_fixed_in_version" size="50" maxlength="255" value="<?php echo $f_fixed_in_version ?>" />
	</td>
</tr>

<!-- build field. -->
<tr <?php echo helper_alternate_class() ?>>
	<td class="category">
		<?php echo lang_get( 'build' ) ?>
	</td>
	<td>
		<input type="radio" name="build" value="<?php echo IMPORT_FROM_FILE ?>" <?php check_checked( $f_buildx, IMPORT_FROM_FILE ) ?> /> <?php echo lang_get( 'columns_import' ) ?>
	</td>
	<td>
		<input type="radio" name="build" value="<?php echo IMPORT_USE_DEFAULT ?>" <?php check_checked( $f_buildx, IMPORT_USE_DEFAULT ) ?> /> <?php echo lang_get( 'columns_default_all' ) ?>
	</td>
	<td>
		<input type="radio" name="build" value="<?php echo IMPORT_USE_CONST_VALUE ?>" <?php check_checked( $f_buildx, IMPORT_USE_CONST_VALUE ) ?> /> <?php echo lang_get( 'columns_set_all' ) ?>
		<input type="text" name="const_build" size="50" maxlength="255" value="<?php echo $f_build ?>" />
	</td>
</tr>

<!-- Profile id - omitted for now. -->

<!-- View state. -->
<tr <?php echo helper_alternate_class() ?>>
	<td class="category">
		<?php echo lang_get( 'view_status' ) ?>
	</td>
	<td>
		<input type="radio" name="view_state" value="<?php echo IMPORT_FROM_FILE ?>" <?php check_checked( $f_view_statex, IMPORT_FROM_FILE ) ?> /> <?php echo lang_get( 'columns_import' ) ?>
	</td>
	<td>
		<input type="radio" name="view_state" value="<?php echo IMPORT_USE_DEFAULT ?>" <?php check_checked( $f_view_statex, IMPORT_USE_DEFAULT ) ?> /> <?php echo lang_get( 'columns_default_all' ) ?>
	</td>
	<td>
		<input type="radio" name="view_state" value="<?php echo IMPORT_USE_CONST_VALUE ?>" <?php check_checked( $f_view_statex, IMPORT_USE_CONST_VALUE ) ?> /> <?php echo lang_get( 'columns_set_all' ) ?>
		<select name="const_view_state">
			<?php print_enum_string_option_list( 'view_state', $f_view_state ) ?>
		</select>
	</td>
</tr>

<!-- Summary field. -->
<tr <?php echo helper_alternate_class() ?>>
	<td class="category">
		<span class="required">*</span><?php echo lang_get( 'summary' ) ?>
	</td>
	<td>
		<input type="radio" name="summary" value="<?php echo IMPORT_FROM_FILE ?>" <?php check_checked( $f_summaryx, IMPORT_FROM_FILE ) ?> /> <?php echo lang_get( 'columns_import' ) ?>
	</td>
	<td>
		<!-- Default ( "" ) not allowed for summary - see bug_create in core/bug_api.php -->
	</td>
	<td>
		<!-- Constant value not allowed for summary -  all problems would appear to be the same! -->
	</td>
</tr>

<!-- Sponsorship total - omitted for now. -->

<!-- Extended info - Description field. -->
<tr <?php echo helper_alternate_class() ?>>
	<td class="category">
		<?php echo lang_get( 'description' ) ?>
	</td>
	<td>
		<input type="radio" name="description" value="<?php echo IMPORT_FROM_FILE ?>" <?php check_checked( $f_descriptionx, IMPORT_FROM_FILE ) ?> /> <?php echo lang_get( 'columns_import' ) ?>
	</td>
	<td>
		<!-- Default ( "" ) not allowed for description - see bug_create in core/bug_api.php -->
	</td>
	<td>
		<input type="radio" name="description" value="<?php echo IMPORT_USE_CONST_VALUE ?>" <?php check_checked( $f_descriptionx, IMPORT_USE_CONST_VALUE ) ?> /> <?php echo lang_get( 'columns_set_all' ) ?>
		<input type="text" name="const_description" size="50" maxlength="255" value="<?php echo $f_description ?>" />
	</td>
</tr>

<!-- Extended info - steps to reproduce field. -->
<tr <?php echo helper_alternate_class() ?>>
	<td class="category">
		<?php echo lang_get( 'steps_to_reproduce' ) ?>
	</td>
	<td>
		<input type="radio" name="steps_to_reproduce" value="<?php echo IMPORT_FROM_FILE ?>" <?php check_checked( $f_steps_to_reproducex, IMPORT_FROM_FILE ) ?> /> <?php echo lang_get( 'columns_import' ) ?>
	</td>
	<td>
		<input type="radio" name="steps_to_reproduce" value="<?php echo IMPORT_USE_DEFAULT ?>" <?php check_checked( $f_steps_to_reproducex, IMPORT_USE_DEFAULT ) ?> /> <?php echo lang_get( 'columns_default_all' ) ?>
	</td>
	<td>
		<input type="radio" name="steps_to_reproduce" value="<?php echo IMPORT_USE_CONST_VALUE ?>" <?php check_checked( $f_steps_to_reproducex, IMPORT_USE_CONST_VALUE ) ?> /> <?php echo lang_get( 'columns_set_all' ) ?>
		<input type="text" name="const_steps_to_reproduce" size="50" maxlength="255" value="<?php echo $f_steps_to_reproduce ?>" />
	</td>
</tr>

<!-- Extended info - additional information field. -->
<tr <?php echo helper_alternate_class() ?>>
	<td class="category">
		<?php echo lang_get( 'additional_information' ) ?>
	</td>
	<td>
		<input type="radio" name="additional_information" value="<?php echo IMPORT_FROM_FILE ?>" <?php check_checked( $f_additional_informationx, IMPORT_FROM_FILE ) ?> /> <?php echo lang_get( 'columns_import' ) ?>
	</td>
	<td>
		<input type="radio" name="additional_information" value="<?php echo IMPORT_USE_DEFAULT ?>" <?php check_checked( $f_additional_informationx, IMPORT_USE_DEFAULT ) ?> /> <?php echo lang_get( 'columns_default_all' ) ?>
	</td>
	<td>
		<input type="radio" name="additional_information" value="<?php echo IMPORT_USE_CONST_VALUE ?>" <?php check_checked( $f_additional_informationx, IMPORT_USE_CONST_VALUE ) ?> /> <?php echo lang_get( 'columns_set_all' ) ?>
		<input type="text" name="const_additional_information" size="50" maxlength="255" value="<?php echo $f_additional_information ?>" />
	</td>
</tr>

<!-- spacer. -->
<tr>
	<td class="spacer" colspan="4">&nbsp;</td>
</tr>

<!-- Custom_fields_list. -->
<tr <?php echo helper_alternate_class() ?>>
	<td class="category">
		<?php echo lang_get( 'import_custom_fields' ) ?>
	</td>
	<td colspan="3" />
</tr>

<?php
	$t_project_id = helper_get_current_project();
	$t_related_custom_field_ids = custom_field_get_linked_ids( $t_project_id );
	foreach( $t_related_custom_field_ids as $t_field_id )
	{
		$t_def = custom_field_get_definition( $t_field_id );
		$t_choice_custom_field = gpc_get_int( "choice_custom_field_$t_field_id", IMPORT_USE_DEFAULT );
?>
	<tr <?php echo helper_alternate_class() ?>>
		<td class="category">
			<?php echo string_display( $t_def['name'] ) ?>
		</td>
		<td>
			<input type="radio" name="<?php echo "choice_custom_field_$t_field_id" ?>" value="<?php echo IMPORT_FROM_FILE ?>" <?php check_checked( $t_choice_custom_field, IMPORT_FROM_FILE ) ?> /> <?php echo lang_get( 'columns_import' ) ?>
		</td>
		<td>
			<input type="radio" name="<?php echo "choice_custom_field_$t_field_id" ?>" value="<?php echo IMPORT_USE_DEFAULT ?>" <?php check_checked( $t_choice_custom_field, IMPORT_USE_DEFAULT ) ?> /> <?php echo lang_get( 'columns_default_all' ) ?>
		</td>
		<td>
			<input type="radio" name="<?php echo "choice_custom_field_$t_field_id" ?>" value="<?php echo IMPORT_USE_CONST_VALUE ?>" <?php check_checked( $t_choice_custom_field, IMPORT_USE_CONST_VALUE ) ?> /> <?php echo lang_get( 'columns_set_all' ) ?>
			<?php print_custom_field_input( $t_def ) ?>
		</td>
	</tr>
<?php
	}
?>


<!-- spacer. -->
<tr>
	<td class="spacer" colspan="4">&nbsp;</td>
</tr>



<tr>
	<td class="center" colspan="4">
		<input type="submit" value="<?php echo lang_get( 'import_start' ) ?>">
	</td>
</tr>
</table>
</form>
</div>
<?php # Import Form END ?>

<?php html_page_bottom1( __FILE__ ) ?>
